package com.ruoyi.system.service.impl;

import com.ruoyi.system.mapper.WagesConversionMapper;
import com.ruoyi.system.model.wages.dao.WagesConversionData;
import com.ruoyi.system.model.wages.dto.WagesConversionDataDto;
import com.ruoyi.system.model.wages.vo.WagesConversionDataVO;
import com.ruoyi.system.service.WagesConversionService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 2024/5/11
 */
@Service
public class WagesConversionServiceImpl implements WagesConversionService {
    private WagesConversionMapper wagesConversionMapper;
    private WagesConversionServiceImpl(WagesConversionMapper wagesConversionMapper){
        this.wagesConversionMapper = wagesConversionMapper;
    }
    @Override
    public void save(WagesConversionDataVO wagesConversionDataVO) {
        wagesConversionMapper.save(wagesConversionDataVO.getJsonData(),wagesConversionDataVO.getYearMonth());
    }
    
    @Override
    public List<WagesConversionData> selectWagesConversionDataList() {
        return wagesConversionMapper.selectWagesConversionDataList();
    }
    
    @Override
    public void update(WagesConversionData wagesConversionData) {
        String jsonData = wagesConversionData.getJsonData();
        int id = wagesConversionData.getId();
        wagesConversionMapper.update(id, jsonData);
    }
    
    @Override
    public WagesConversionData selectWagesConversionDataById(int id) {
        return wagesConversionMapper.selectWagesConversionDataById(id);
    }
    
}
